sdl2-2.5.2.0: Both high- and low-level bindings to the SDL library (version 2.0.6+).

Safe Haskell | Safe
Language | Haskell2010

SDL.Raw.Timer

Contents

- Timer Support

Synopsis

- addTimer :: MonadIO m => Word32 -> TimerCallback -> Ptr () -> m TimerID
- delay :: MonadIO m => Word32 -> m ()
- getPerformanceCounter :: MonadIO m => m Word64
- getPerformanceFrequency :: MonadIO m => m Word64
- getTicks :: MonadIO m => m Word32
- removeTimer :: MonadIO m => TimerID -> m Bool

# Timer Support

addTimer :: MonadIO m => Word32 -> TimerCallback -> Ptr () -> m TimerID Source #

delay :: MonadIO m => Word32 -> m () Source #

getPerformanceCounter :: MonadIO m => m Word64 Source #

getPerformanceFrequency :: MonadIO m => m Word64 Source #

getTicks :: MonadIO m => m Word32 Source #

removeTimer :: MonadIO m => TimerID -> m Bool Source #